
#include "sssd.h"
#include "internals.h"

/*
   Check if the background stream is playing (1=playing, 0=not playing)
*/

int sssd_checkBackground( struct sssdaudio* ga )
{
    int retval = 0;

    if( audioValid( ga ) )
    {
        LOCK_BUFFERS_NP(ga);

        retval = (ga->background_stream != NULL);

        UNLOCK_BUFFERS_NP(ga);
    }

    return( retval );
}

